## org.apache.hadoop.metrics2.util
Class MetricsCache.Record

    java.lang.Object
      org.apache.hadoop.metrics2.util.MetricsCache.Record

Enclosing class:
  MetricsCache

    public static class MetricsCache.Record

extends Object

Cached record

Constructor Summary
`MetricsCache.Record()`

Method Summary
`Number` `getMetric(String key)` Get the metric value
`Metric` `getMetricInstance(String key)` Get the metric value
`String` `getTag(String key)` Get the tag value
`Set<Map.Entry<String,Number>>` `metrics()`
`Set<Map.Entry<String,Metric>>` `metricsEntrySet()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetricsCache.Record

    public MetricsCache.Record()

Method Detail

### getTag

    public String getTag(String key)

  Get the tag value

  Parameters:
    `key` - name of the tag
  Returns:
    the tag value

### getMetric

    public Number getMetric(String key)

  Get the metric value

  Parameters:
    `key` - name of the metric
  Returns:
    the metric value

### getMetricInstance

    public Metric getMetricInstance(String key)

  Get the metric value

  Parameters:
    `key` - name of the metric
  Returns:
    the metric value

### metrics

    public Set<Map.Entry<String,Number>> metrics()

  Returns:
    entry set of metrics

### metricsEntrySet

    public Set<Map.Entry<String,Metric>> metricsEntrySet()

  Returns:
    entry set of metrics

Copyright © 2009 The Apache Software Foundation